<template>
	<view class="content"></view>
</template>

<script>
	export default {
		onLoad() {
			this.checkGuide();
		},
		methods: {
			async checkGuide() {
        try {
          const data = await this.getBanner()
          uni.redirectTo({
            url: '/pages/guide/guide?url='+data[0].image,
          });
        } catch (error) {
          //#ifdef APP-PLUS
          plus.navigator.closeSplashscreen();
          // #endif
          uni.switchTab({
            url: '/pages/index/index',
          });
        }

				// console.log("进入checkGuide判断页");
				// 思路： 检测是否有启动缓存，如果没有，就是第一次启动，第一次启动就去 启动介绍页面
				// try {
				// 	var launchFlag = uni.getStorageSync('launchFlag');
				// 	console.log("launchFlag:" + launchFlag);
				// 	if (!launchFlag) { //判断本地缓存跳转首页
				// 		uni.switchTab({
        //       url: '/pages/index/index',
        //     });
				// 	} else { //没有缓存进入启动页引导页
				// 		console.log('去引导页');
				// 		uni.redirectTo({
				// 			url: '/pages/guide/guide'
				// 		});
				// 	}
				// } catch (e) {
				// 	console.log(e.message);
				// }
			},
      async getBanner() {
        return new Promise((resolve, reject) => {
          this.$api.get('/v1/ads', {
              params: {
                keys: 'wechat_mini_app_start_page_banner',
              },
            }).then(({ app_start_page_banner }) => {
              this.banner = app_start_page_banner;
              if(this.banner.length) resolve(app_start_page_banner);
              else reject()
            });
        });
      },
		}
	};
</script>
